[Numpy-discussion] 1.2.0rc1 tagged!

Christopher Barker Chris.Barker@noaa....
Wed Sep 10 15:28:49 CDT 2008


Robert Kern wrote:
> Yes. It is difficult (or impossible without writing new code) to build
> these kinds of installers to work with different locations of Python
> frameworks.

yup. however, perhaps the approach taken by wxPython would be worth 
considering. Robin is putting the whole package in:

/usr/local/lib/wxPython-unicode-2.8.8.1/lib/python2.5/site-packages

Then putting a *.pth file in both /Library and /System pythons so that 
it will work with either install of 2.5. It seems it would be easy to 
add Enthought's too, though I have no idea where Enthought puts it.

Actually, perhaps we should try to establish a standard, putting 
packages that work with multiple pythons in something like:

/usr/local/lib/UniversalPython2.5/site-packages

and add that to a *.pth file in various versions.


Note that Robin put:

import site; 
site.addsitedir('/usr/local/lib/wxPython-unicode-2.8.8.1/lib/python2.5')

in the pth file, rather than just the path -- I have no idea why.

-Chris







-- 
Christopher Barker, Ph.D.
Oceanographer

Emergency Response Division
NOAA/NOS/OR&R            (206) 526-6959   voice
7600 Sand Point Way NE   (206) 526-6329   fax
Seattle, WA  98115       (206) 526-6317   main reception

Chris.Barker@noaa.gov


More information about the Numpy-discussion mailing list